from dotenv import load_dotenv
import os

load_dotenv()

# rename this file to config.py
BOTLIST = [
    'open_basic_bot',
    'status_changer',
    'open_access_request_accepted',
    'open_access_request_pending',
    'open_neg_request_accepted',
    'open_neg_request_pending',
    'open_service_request_accepted',
    'open_service_request_assigned',
    'open_service_request_booked',
    'open_service_request_booked_v2',
    'open_service_request_closed',
    'open_service_request_declined',
    'open_service_request_done',
    'open_service_request_forcemajeure',
    'open_service_request_pending',
    'open_service_request_preforcemajeure',
    'open_service_request_prestart',
    'open_service_request_process',
    'open_st_request_assigned',
    'open_st_request_done',
    'open_st_request_dublicate',
    'open_st_request_in_process',
    'open_st_request_new',
    'open_st_request_reopened',
    'open_st_request_wontfix'
]
JSERVER = "ej.sharix-app.org"
PASSWORD = "12345"
PORT = 5222
API_URL = "https://testopen1.sharix-app.org/"

# LOG_DIR = "/var/log/"
LOG_DIR = "./log/"

DEFAULT_INTERVAL_ATTEMPTS = 10
DEFAULT_ASSIGNED_TO_ATTEMPTS = 3

class KEYS:
    OPEN_BASIC_BOT = os.getenv('open_basic_bot_key')
    STATUS_CHANGER = os.getenv('status_changer_key')
    OPEN_ACCESS_REQUEST_ACCEPTED = os.getenv('open_access_request_accepted_key')
    OPEN_ACCESS_REQUEST_PENDING = os.getenv('open_access_request_pending_key')
    OPEN_NEG_REQUEST_ACCEPTED = os.getenv('open_neg_request_accepted_key')
    OPEN_NEG_REQUEST_PENDING = os.getenv('open_neg_request_pending_key')
    OPEN_SERVICE_REQUEST_ACCEPTED = os.getenv('open_service_request_accepted_key')
    OPEN_SERVICE_REQUEST_ASSIGNED = os.getenv('open_service_request_assigned_key')
    OPEN_SERVICE_REQUEST_BOOKED = os.getenv('open_service_request_booked_key')
    OPEN_SERVICE_REQUEST_BOOKED_V2 = os.getenv('open_service_request_booked_v2_key')
    OPEN_SERVICE_REQUEST_CLOSED = os.getenv('open_service_request_closed_key')
    OPEN_SERVICE_REQUEST_DECLINED = os.getenv('open_service_request_declined_key')
    OPEN_SERVICE_REQUEST_DONE = os.getenv('open_service_request_done_key')
    OPEN_SERVICE_REQUEST_FORCEMAJEURE = os.getenv('open_service_request_forcemajeure_key')
    OPEN_SERVICE_REQUEST_PENDING = os.getenv('open_service_request_pending_key')
    OPEN_SERVICE_REQUEST_PREFORCEMAJEURE = os.getenv('open_service_request_preforcemajeure_key')
    OPEN_SERVICE_REQUEST_PRESTART = os.getenv('open_service_request_prestart_key')
    OPEN_SERVICE_REQUEST_PROCESS = os.getenv('open_service_request_process_key')
    OPEN_ST_REQUEST_ASSIGNED = os.getenv('open_st_request_assigned_key')
    OPEN_ST_REQUEST_DONE = os.getenv('open_st_request_done_key')
    OPEN_ST_REQUEST_DUBLICATE = os.getenv('open_st_request_dublicate_key')
    OPEN_ST_REQUEST_IN_PROCESS = os.getenv('open_st_request_in_process_key')
    OPEN_ST_REQUEST_NEW = os.getenv('open_st_request_new_key')
    OPEN_ST_REQUEST_REOPENED = os.getenv('open_st_request_reopened_key')
    OPEN_ST_REQUEST_WONTFIX = os.getenv('open_st_request_wontfix_key')
